[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'eventlog' (#fcl)

# TEventLog.Warning

Log a warning message.

## Declaration

Source position: line 0

`public procedure TEventLog.Warning(`
`const Msg: string`
`); overload; procedure TEventLog.Warning(`
`const Fmt: string;`
`Args: array of Const`
`); overload;`

## Arguments

`Msg` |  | Complete warning message

## Arguments

`Fmt` |  | Formatting string for Args
`Args` |  | Arguments to format message with

## Description

Warning is a utility function which logs a message with the etWarning type. The message is either the parameter Msg as is, or is formatted from the Fmt and Args parameters.

## See also

Log |  | Log a message to the system log.
Info |  | Log an informational message
Error |  | Log an error message to
Debug |  | Log a debug message

Documentation generated on: Feb 26 2014